View Issue Details

IDProjectCategoryView StatusLast Update
0003173unrealmodule apipublic2015-10-01 18:08
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSANYOS VersionANY
Product Version3.3-alpha0 
Target VersionFixed in Version3.4-alpha1 
Summary0003173: Make extban modules non-PERM
DescriptionMake it so extbans modules can be reloaded and unloaded. So they don't need to be PERManent anymore.
Additional InformationThis only requires some "remember this extban type until all modules are loaded again" and a "remove any extban types that no longer have a handler/module" thingy.
TagsNo tags attached.
3rd party modules

Activities

syzop

2015-08-08 08:47

administrator   ~0018579

isn't this done already? long ago.

dboyz

2015-09-30 08:09

reporter   ~0018711

None of the extban modules are PERM. This can be closed.

syzop

2015-10-01 18:08

administrator   ~0018719

Indeed. Forgot in which version this was fixed, may be even in 3.2.x series.

Issue History

Date Modified Username Field Change
2006-12-28 14:04 syzop New Issue
2007-04-19 03:18 stskeeps Status new => acknowledged
2010-07-14 17:49 syzop QA => Not touched yet by developer
2010-07-14 17:49 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-07-14 17:49 syzop U4: Upstream notification of bug => Not decided
2010-07-14 17:49 syzop U4: Contributor working on this => None
2010-07-14 17:49 syzop Severity minor => feature
2015-08-08 08:47 syzop Note Added: 0018579
2015-09-30 08:09 dboyz Note Added: 0018711
2015-10-01 18:08 syzop Note Added: 0018719
2015-10-01 18:08 syzop Status acknowledged => resolved
2015-10-01 18:08 syzop Fixed in Version => 3.4-alpha1
2015-10-01 18:08 syzop Resolution open => fixed
2015-10-01 18:08 syzop Assigned To => syzop
2017-01-06 15:48 syzop Category module => module api